import * as core from "@terrascript/core";

export interface QueuePolicyArgs extends core.ResourceArgs {
  policy: string | core.StringOut;

  queueUrl: string | core.StringOut;
}

export class QueuePolicy extends core.Resource<QueuePolicyArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public policy!: string | core.StringOut;

  @core.attr(String)
  public queueUrl!: string | core.StringOut;

  constructor(name: string, args?: QueuePolicyArgs) {
    super(name, "aws_sqs_queue_policy", args);
  }

  public override getNamespace(): string {
    return "aws_sqs";
  }
}
